body {margin: 0; padding: 0; font-family: Helvetica, Arial, sans-serif; }

main {
width: 100%;
height: 100vh;
background-image: url(bg.jpg);
background-size: cover;
transition: all .2s ease;
}

.button {
width: 300px;
height: 60px;
margin: 0 auto;
position: absolute;
top: 20%;
left: 50%;
transform: translate(-50%, -50%);
border-radius: 3px;
background-color: #ff5252;
text-align: center;
cursor: pointer;
} 

.button span {
line-height: 60px;
color: #fff;
font-weight: bold;
font-size: 15px;
text-transform: uppercase;
}

.overlay {
position: absolute;
width: 100%;
height: 100vh;
top: 0;
left: 0;
background-color: rgba(0, 0, 0, .8);
display: none;
}

.popup {
position: absolute;
width: 400px;
left: 50%;
top: 50%;
transform: translate(-50%, -50%);
padding: 40px;
box-sizing: border-box;
background-color: #b152ff;
color: #fff;
}

.close-popup {
position: absolute;
top: 15px;
right: 15px;
width: 23px;
height: 23px;
cursor: pointer;
}

.close-popup:before {
content: '';
background-color: #fff;
position: absolute;
height: 1px;
width: 31px;
top: 11px;
left: -4px;
transform: rotate(-45deg);
}

.close-popup:after {
content: '';
background-color: #fff;
position: absolute;
height: 1px;
width: 31px;
top: 11px;
transform: rotate(45deg);
left: -4px;
}

@media screen and (max-width: 768px) {

.popup {
width: 100%;
height: 100vh;
font-size: 15px;
}
}
